## EXPORT_SPEC int UpnpAddVirtualDir

## ( IN const char* dirName )

> UpnpAddVirtualDir adds a virtual directory mapping.

## Documentation

> UpnpAddVirtualDir adds a virtual directory mapping.

> All webserver requests containing the given directory are read using functions contained in a UpnpVirtualDirCallbacks structure registered via UpnpSetVirtualDirCallbacks.

Parameters:
  dirName - The name of the new directory mapping to add.
Returns:
  [int] An integer representing one of the following:
  - `UPPN_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_ARGUMENT`: dirName is not valid.

Alphabetic index

This page was generated with the help of DOC++.